<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="nodeAuditTrails$ | async as nodeAuditTrails">
  <app-floating-back-button (buttonClicked)="goBack()" #detail>
    <ng-template #scrolled>
      <div class="flex items-center gap-2">
        <div class="text-primary-500">{{ (node$ | async)?.name }}:</div>
        <div class="text-secondary-900">Audit Trails</div>
      </div>
    </ng-template>
    <div class="w-full h-full flex flex-col">
      <div class="text-xl font-semibold flex items-center gap-2">
        <div class="text-primary-500">{{ (node$ | async)?.name }}:</div>
        <div class="text-secondary-900">Audit Trails</div>
      </div>
      <div class="pt-6 pb-20">
        <app-audit-trails-table
          [auditTrails]="nodeAuditTrails ?? []"
          [compact]="false"
          (onPageChange)="onPageChange($event)"
          (onStatusChange)="onStatusChange($event)"
          (onRefresh)="onRefresh()"
          [defaultSelectedStatus]="selectedStatus"
        ></app-audit-trails-table>
      </div>
    </div>
  </app-floating-back-button>
</ng-container>
